Home > Cannot Find > Libperl-dev



Here is the code of makefile: #CC= /usr/bin/g++ CPP = g++ CPPFLAGS = -Wall $(shell perl -MExtUtils::Embed -e ccopts) #LD= /usr/bin/g++ LD = g++ #LFLAGS = -Wall $(shell perl -MExtUtils::Embed -e Try manually creating the link. Well, I'm now to linux, perl and c++, but I have to do some codes for the university and I'm getting some troubles while doing the makefile. Adv Reply January 22nd, 2009 #4 fonggiding View Profile View Forum Posts Private Message 5 Cups of Ubuntu Join Date Feb 2006 Location /Japan/Tokyo/Itabashi Beans 39 DistroUbuntu 8.10 Intrepid Ibex

Notices Welcome to LinuxQuestions.org, a friendly and active Linux Community. Jethro Posts: 11Joined: Thu Jun 07, 2012 9:25 am Top Re: I can't install Net-snmp by agriffin » Fri Jun 08, 2012 10:02 am The package is named libnet-snmp-perl on I then tried to download the net-snmp-5.7.1 and it was installing perfectly until it gave me this message:/usr/bin/ld: cannot find -lperlcollect2: ld returned 1 exit statusmake[1]: *** [libnetsnmpagent.la] Error 1make[1]: Leaving In Debian /usr/lib/libperl.so is provided by the package 'libperl-dev' # 'apt-get install libperl-dev' will do. .. https://ubuntuforums.org/showthread.php?t=204908


Why does the size of this std::string change, when characters are changed? perl -version gives me v5.8.0 built for i386-linux-thread-multi Thanks -- ThanhVu Nguyen Reply to: debian-user@lists.debian.org ThanhVu Nguyen (on-list) ThanhVu Nguyen (off-list) Follow-Ups: Re: /usr/bin/ld: cannot find -lperl ? no"+"ERROR!

  • LinuxQuestions.org > Forums > Non-*NIX Forums > Programming mod_perl not finding lperl User Name Remember Me?
  • From: Alex Malinovich Prev by Date: VMware & Debian 3.0 Next by Date: Alcatel USB modem Previous by thread: Re: VMware & Debian 3.0 Next by thread: Re: /usr/bin/ld: cannot
  • Can variation ratio ever be 0?
  • Join Date Oct 2007 Beans 60 Re: Cannot find -lperl hello, simply Code: ln -sf /usr/lib/libperl.so.5.8 /usr/lib/libperl.so and then Code: sudo ldconfig then have fun Adv Reply February 17th, 2009
  • Ubuntu Logo, Ubuntu and Canonical Canonical Ltd.
  • FFMPEG svn 24953 compile fails videodev.h:56: error: expected specifier-qualifier-list before ‘ulong. /usr/bin/ld: cannot find -lltdl PHP Compiling fails on Centos/Red Hat. "checking for libnet_build_ip in -lnet...

User contributions on this site are licensed under the Creative Commons Attribution Share Alike 4.0 International License. sudo apt-get install libperl-dev попробуйте сперва. Ответ написан 14 дек. 2015 Комментировать Нравится 3 Комментировать Facebook Вконтакте Twitter Google Пригласить эксперта Ответы на вопрос 0 Ваш ответ на вопрос Войдите, чтобы Your comment will be queued in Akismet! Jethro Posts: 11Joined: Thu Jun 07, 2012 9:25 am Top Re: I can't install Net-snmp by agriffin » Wed Jun 13, 2012 10:07 am I don't know what's going wrong

ziggie216 Linux - Software 0 12-15-2003 07:17 PM All times are GMT -5. Ld Cannot Find Library Tango Icons Tango Desktop Project. jsmurphy Posts: 989Joined: Wed Aug 18, 2010 9:46 pm Top Re: I can't install Net-snmp by Jethro » Fri Jun 08, 2012 6:27 am Thanks for the quick answer but Donelibnet-snmp-perl is already the newest version.libnet-snmp-perl set to manually installed.0 upgraded, 0 newly installed, 0 to remove and 5 not upgraded.

Having a problem logging in? Reply Felipesaid:2011.12.0920:45 Thanks! Do you want to help us debug the posting issues ? < is the place to report it, thanks ! Thanks for any info provided.

Ld Cannot Find Library

And AssaultCube. https://forum.ivorde.com/courier-compile-fails-with-usr-bin-ld-cannot-find-lperl-t23.html I don't think the code is relevant. –Paul Tomblin Jul 10 '13 at 17:25 @PaulTomblin that was exactly why I didn't put the code. –PhaSath Jul 10 '13 at Libperl-dev The problem is that after the "make" command it does something and then I get an error: Code: /usr/bin/ld: cannot find -lperl collect2: ld returned 1 exit status make[1]: *** [openmortal] Ubuntu Usr Bin Ld Cannot Find FreeBSD list files installed by a specific software package - "pkg_info -L".

Still the problem of cannot find -lperl. –PhaSath Jul 10 '13 at 17:48 @PhaSath see my update. dvdljns View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by dvdljns Thread Tools Show Printable Version Email this Page Search this Thread Advanced As well, I have a code in C++ that calls perl as a subroutine. Posts: 16,276 Rep: "lperl" means libperl.so . "/usr/bin/ld: Cannot Find -lz"

Update the second I had perl-base installed, but not libperl-dev which gave me /usr/lib/libperl.so.5.14 but not /usr/lib/libperl.so. I run Makefile.PL with this command. asked 3 years ago viewed 1663 times active 3 years ago Upcoming Events 2016 Community Moderator Election ends Nov 22 Related 790What is the purpose of .PHONY in a makefile?1Creating a Visit the following links: Site Howto | Site FAQ | Sitemap | Register Now If you have any problems with the registration process or your account login, please contact us.

Join Date Mar 2006 Beans 228 Re: Error "/usr/bin/ld: cannot find -lperl" Code: sudo apt-get install libperl-dev Umm..also check you have libperl installed, if you haven't already Hope that helps edit: Am I doing something very wrong? I wonder why not?

Draw a hollow square of # with given width Is Area of a circle always irrational QGIS restore attribute table order to original Wrong way on a bike path?

share|improve this answer edited Jul 10 '13 at 19:15 answered Jul 10 '13 at 17:25 Paul Tomblin 114k35255356 When I did the apt-get, it said that was already installed. Reverse a hexadecimal number in bash Global.asax Application_Start not hit after upgrade to Sitecore 8.2 I just started my first real job, and have been asked to organize the office party. Can somebody please help me?Thanks, Jethro Posts: 11Joined: Thu Jun 07, 2012 9:25 am Top I can't install net-snmp by Jethro » Thu Jun 07, 2012 9:49 am Hey,I was Following error will appear. _________________http://www.test-king.com/vendor-ITIL.htmhttp://test-king.com/cert-CompTIA-Security-plus.htmhttp://www.quincy.edu/ Top Display posts from previous: All posts1 day7 days2 weeks1 month3 months6 months1 yearSort by AuthorPost timeSubject AscendingDescending Post a reply 4 posts • Page 1

Results 1 to 4 of 4 Thread: Cannot find -lperl Thread Tools Show Printable Version Subscribe to this Thread… Display Linear Mode Switch to Hybrid Mode Switch to Threaded Mode September Not the answer you're looking for? Your Comment Change mind? Code: /usr/bin/ld: cannot find -lperl collect2: ld returned 1 exit status make: *** [golly] Error 1 Any help appreciated, thanks!

You may need to do it as root. –Paul Tomblin Jul 10 '13 at 18:26 THANK YOU A LOT BROTHER. APACI_ARGS='--prefix=/usr/local/httpd_perl' I do not have the slightest ideal what that means or if I need it. TuxArena - Ubuntu/Debian/Mint Tutorials | Linux Stuff Intro Tutorials | UbuTricks I play Wesnoth sometimes. By joining our community you will have the ability to post topics, receive our newsletter, use the advanced search, subscribe to threads and access many other special features.